# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kafka_session/version'

Gem::Specification.new do |spec|
  spec.name          = "kafka_session"
  spec.version       = KafkaSession::VERSION
  spec.authors       = ["Chris Hoffman"]
  spec.email         = ["choffman@optoro.com"]

  spec.summary       = %q{Produce & consume Kafka messages in traceable sessions.}
  spec.description   = %q{Produce & consume Kafka messages in traceable sessions.}
  spec.homepage      = "http://www.github.com/optoro/kafka_session"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.3"

  spec.add_runtime_dependency 'ruby-kafka', '~> 0.3.12'
end
